Subject: Monday consensus text: #725 Appealing decisions

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 31 Jan 2005 11:33:35 +0100

Lots of commentary on this one, some principle-based, some pointing out 
where the text-as-written said something that was Obviously Wrong.

I've tuned the text below to:

- Removed the para about metrics. That's not part of this section.
Could go under "IAD responsibilities". But I think they're not critical.
- Go straight to the IAB on the appeals path.
- Clarified that "do nothing but answer" is a valid option when responding
- Changed "initiate work on changing the BCP" to "recommend to the 
comnunity
that the BCPs should be changed"

Most responses on the list have spoken in favour of leaving the last 
section (overturn decisions) in; John pointed out that it's completely 
unclear what the real rules for this type of action is. And I still don't 
like it.

Still - I think this is a text that is possible to live with.

3.5  Review and Appeal of IAD and IAOC Decision

    The IAOC is directly accountable to the IETF community for the
    performance of the IASA.  In order to achieve this, the IAOC and IAD
    will ensure that guidelines are developed for regular operational
    decision making.  Where appropriate, these guidelines should be
    developed with public input.  In all cases, they must be made public.

    In the case where someone questions whether a decision or action of the
    IAD or the IAOC has been undertaken in accordance with IETF BCPs or
    IASA operational guidelines (including the question of whether
    appropriate guidelines have been created or maintained), he or she may
    ask the IAOC for a formal review of the decision or action.

    The request for review is addressed to the IAOC chair and should include
    a description of the decision or action to be reviewed, an explanation
    of how, in the requestor's opinion, the decision or action violates the
    BCPs or operational guidelines, and a suggestion for how the situation
    could be rectified.  All requests for review
    will be publicly posted, and the IAOC is expected to respond to these
    requests within a reasonable period, typically within 90 days.  It is up
    to the IAOC to determine what type of review and response is required,
    based on the nature of the review request.
    Based on the results of the review, the IAOC may choose to overturn
    their own decision, change their operational guidelines to prevent
    further misunderstandings, take other action as appropriate, or just
    publish the review result and take no other action.

    If a member of the community is not satisfied with the IAOC's response
    to his or her review request, he or she may escalate the issue by
    appealing the decision or action to the IAB, using the appeals
    procedures outlined
    in RFC 2026 [RFC2026].  If he or she is not satisfied with the IAB
    response, he or she can escalate the issue to the ISOC
    Board of Trustees, as described in RFC 2026.

    The reviewing body (IAB or ISOC BoT) will review the decision of the
    IAD or IAOC to determine whether it was made in accordance with existing
    BCPs and operational guidelines. As a result of this review, the
    reviewing body may recommend to the community that the BCPs
    governing IAOC actions should be changed.
    It may also advise the IAOC to modify existing operational guidelines
    to avoid similar issues in the future and/or may advise the IAOC to
    re-consider their decision or action.
    It may also recommend that no action be taken based on the review.

     In exceptional cases, when no other recourse seems reasonable, the
     reviewing body may overturn or  reverse a non-binding decision or
     action of the IAOC.  This should be done after careful consideration
     and consultation with the IAOC regarding the ramifications of this
     action. In no circumstances may the IESG or IAB overturn a decision of
     the IAOC that involves a binding contract or overturn a personnel-
     related action (such as hiring, firing, promotion, demotion,
     performance reviews, salary adjustments,
     etc.).

Comments?

                         Harald

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Margaret Wasserman <[email-masked]>
Date: Mon, 31 Jan 2005 07:42:31 -0500

This looks fine to me.

Margaret

At 11:33 AM +0100 1/31/05, Harald Tveit Alvestrand wrote:
>Lots of commentary on this one, some principle-based, some pointing 
>out where the text-as-written said something that was Obviously 
>Wrong.
>
>- Changed "initiate work on changing the BCP" to "recommend to the comnunity
>section (overturn decisions) in; John pointed out that it's 
>completely unclear what the real rules for this type of action is. 
>And I still don't like it.
>

---

From: John C Klensin <[email-masked]>
Date: Mon, 31 Jan 2005 09:29:11 -0500

Harald,

I still think this is a bad model, but I'm clearly (at least
among those who are speaking up) in the minority on that.  With
one correction, and a last quibble, I think it is now at least
consistent enough that, if it causes problems, we can get to the
substance of them and fix it rather than getting tangled up with
procedural quibbling.  So I think we should go ahead.

The correction: The last sentence should probably read "...may
the IAB or ISOC BoT overturn...", since the IESG is not in the
appeals chain.

_The quibble_ (long, unfortunately, but I think worth
understanding before we push forward).  I expect this comment to
be ignored in the rush to get the document out, and it can be
fixed later if needed (and I imagine would be fixed after the
first incident were one to occur), but want to get a concern on
the record.  

One of the things with which a number of members of the
community has been very concerned has been to prevent the ISOC
BoT from meddling in the operations of the IASA. While I think
other checks on them will prove adequate, I recognize a
community concern when I see one.   I don't see "review whether
procedures were followed and, if not, send things back and tell
them to review and reconsider their actions" to be significantly
problematic on the "meddling" front, and that is all the
authority the ISOC BoT has up to the beginning of that
problematic last paragraph.   But the last paragraph gives "the
reviewing body" the authority to overturn IAOC decisions and
requires consultation with the IAOC before doing so and the ISOC
BoT is a reviewing body.

Seriously paranoid scenario under the above model: The ISOC BoT
takes a large overdose of drugs that induce a desire to go
meddle in the IASA.  On some pretense, one of their members or a
designated stooge (all of whom are members of the community
under our deliberately-vague rules) appeals an IAOC decision to
the IAOC Chair, the IAB, and then to the ISOC BoT.  The ISOC
turns that "consultation" into a negotiation about decisions to
possibly be overturned, procedural changes to be made in ways of
doing things, etc., and we end up with a fairly full-scale
license to meddle.

I don't think this is likely to happen, but I don't like
procedures that are subject to abuse when that opportunity can
be easily avoided.  Possible solution: permit _only_ the IAB to
overturn a decision (exceptional circumstance, etc., text
remains).  If the ISOC BoT decides to reverse the IAB on an
appeal, all they can do is what they are essentially restricted
to doing under the standards process appeal chain: send the
question back with instructions to reconsider.  I think we can
safely leave the question as to whether they send something back
to the IAB or back directly to the IAOC up in the air.  But
giving them the authority, even under "exceptional
circumstances", to reverse an IAOC decision, seems to me to
violate the principles of separation that many people have felt
strongly about.   Of course, one could also fix this problem by
losing the paragraph, but we have apparently decided against
that.

Finally, these little glitches (both the inclusion of "IESG" and
the more complex question of principle, again point out the
risks of trying to evolve a document this quickly.

    john

--On Monday, 31 January, 2005 11:33 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> Most responses on the list have spoken in favour of leaving
> the last section (overturn decisions) in; John pointed out
> that it's completely unclear what the real rules for this type
> of action is. And I still don't like it.
> 
>...

---

From: Leslie Daigle <[email-masked]>
Date: Mon, 31 Jan 2005 14:00:13 -0500

Howdy,

I'm a little concerned about hacking the appeals path on the
fly (i.e., dropping the IESG and going straight to IAB), but
I can live with that.

WRT this:

 > Could go under "IAD responsibilities". But I think they're not critical.

I think it should appear in the document.  Either in the IAD
responsibilities (as you've suggested), or I can send more text
as to how it pertains to appeals.  That is, it's easier to
avoid appeals when there is concrete data on the table, and/or
support them where appropriate.

I don't think people want more text at this point.  So, perhaps
just putting it in the IAD section is the easiest path at this time.

Leslie.

Harald Tveit Alvestrand wrote:
> unclear what the real rules for this type of action is. And I still 
> don't like it.
>

---

From: John C Klensin <[email-masked]>
Date: Mon, 31 Jan 2005 15:24:02 -0500

> just putting it in the IAD section is the easiest path at this

Leslie,

FWIW, in the spirit of Sam's note, I'd like to suggest that this
doesn't belong in the document at all, but in some informal list
of things we expect the IAD to do and will hold her or him (and
the IAOC) accountable if enough of it isn't done.  That is the
"less text" rather than "no more" theme.   I don't consider that
a showstopper one way or the other, however...

If it is to be put in as an IAD responsibility, it needs to be
clear that "better measurement" is _not_ more important than
getting the job done.  My version of your comment about appeals
is that, if the job is being done, and done well, meaningful
appeals won't happen.  If it is not being done, then the major
benefit of extensive data is either to help prove that it isn't
being done (which will probably be obvious) or to aid in telling
those launching the appeal to go away... the latter if
extensive, but irrelevant, data are collected.  And I note that
the original text did not require relevant metrics,
interpretable metrics, or the like, just metrics.  It shouldn't:
those terms are nearly meaningless without careful definitions,
and attempting to make those definitions would draw us into more
and more detail that doesn't belong in the BCP even if we could
agree on them.    But "there will be metrics" don't necessarily
aid in getting the job done and may actually impede it.

   john

---

From: Leslie Daigle <[email-masked]>
Date: Mon, 31 Jan 2005 17:23:53 -0500

Howdy,

I can't entirely agree with the argumentation, in part
because (and again this goes back to how the text first
appeared) metrics are useful to establish the state of
the system, whether to critique the state or simply
understand it.  Appeal is only one form of critique.

That said -- I'm not planning to say any more on the subject.
It's not something I'm suggesting should stop the document,
either way!

Leslie.